PlanewardPlaneward Docs
PlanewardPlaneward Docs
Welcome

Developers

REST APIAuthenticationWebhooksMCPEmbedded projectsTask description contentDeveloper hub

API

Get a contact's sequence state GETEnroll a contact in a sequence POSTStop a contact's open sequence POSTPause a contact's active sequence for a human POSTResume a contact's paused sequence POSTList sequences GETCreate a sequence POSTGet a sequence GETUpdate a sequence PATCHSequence stats GETList sequence enrollments GETArchive a sequence POSTBulk-stop enrollments POSTBulk-pause enrollments POST
Sequences

Pause a contact's active sequence for a human

A paused enrollment still blocks lower-priority sequences in the same lane. Optional sequenceId or lane (default SALES).

POST
/contacts/{contactId}/sequence/pause

A paused enrollment still blocks lower-priority sequences in the same lane. Optional sequenceId or lane (default SALES).

Authorization

x-api-key<token>

In: header

Path Parameters

contactId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/contacts/string/sequence/pause" \  -H "Content-Type: application/json" \  -d '{}'
{  "data": {    "paused": true,    "enrollment": {      "id": "string",      "sequenceId": "string",      "contactId": "string",      "opportunityId": "string",      "lane": "SALES",      "status": "ACTIVE",      "stopReason": "REPLIED",      "currentStep": 0,      "lastStepAt": "2019-08-24T14:15:22Z",      "pausedAt": "2019-08-24T14:15:22Z",      "enrolledAt": "2019-08-24T14:15:22Z",      "endedAt": "2019-08-24T14:15:22Z",      "sequence": {        "id": "string",        "key": "string",        "name": "string",        "priority": 0      }    }  }}

Stop a contact's open sequence POST

Optional sequenceId only stops that sequence; otherwise lane (default SALES).

Resume a contact's paused sequence POST

Optional sequenceId or lane (default SALES).

sequenceId?string

Target this sequence's lane.

lane?SequenceLane

Lane when sequenceId is omitted. Defaults to SALES.

Value in

  • "SALES"
  • "CLIENT"